

#!/bin/sh
###
# drop example database TST with:
###
export PATH=/opt/sapdb/indep_prog/bin:$PATH


# name of the database
SID=TST

# start remote communication server
x_server start >/dev/null 2>&1

# stop and drop probably existing demo database
echo "stop $SID..."
_o=`dbmcli -d $SID -u dbm,dbm db_offline 2>&1`
_test=`echo $_o | grep OK`
if [ "$_test" = "" ]; then
        echo "stop $SID failed: $_o"
fi

echo "drop $SID..."
_o=`dbmcli -s -d $SID -u dbm,dbm db_drop 2>&1`
_test=`echo $_o | grep OK`
if [ "$_test" = "" ]; then
        echo "drop $SID failed: $_o"
fi

echo "remove $HOME/$SID"
rmdir $HOME/$SID  >/dev/null 2>&1

exit 0

